<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingBottom="8dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/message_vote"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/reuse_listview_item_style"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/message_invite"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/message_vote_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:src="@drawable/message_vote_icon"
            app:layout_constraintBottom_toTopOf="@+id/message_vote_name"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed" />

        <TextView
            android:id="@+id/unread_vote"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="14dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/message_unread_hint"
            android:gravity="center"
            android:maxLength="3"
            android:minWidth="13dp"
            android:minHeight="1dp"
            android:paddingLeft="4dp"
            android:paddingRight="4dp"
            android:textColor="@color/white"
            android:textSize="9dp"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="@+id/guideline_vote"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_vote"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <TextView
            android:id="@+id/message_vote_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="16dp"
            android:includeFontPadding="false"
            android:text="赞同"
            android:textColor="@color/text_title"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/message_vote_icon" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/message_invite"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/reuse_listview_item_style"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@+id/message_vote"
        app:layout_constraintRight_toLeftOf="@+id/message_service"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/message_invite_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:src="@drawable/message_invite_icon"
            app:layout_constraintBottom_toTopOf="@+id/message_invite_name"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed" />

        <TextView
            android:id="@+id/unread_invite"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="14dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/message_unread_hint"
            android:gravity="center"
            android:maxLength="3"
            android:minWidth="13dp"
            android:minHeight="1dp"
            android:paddingLeft="4dp"
            android:paddingRight="4dp"
            android:textColor="@color/white"
            android:textSize="9dp"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="@+id/guideline_invite"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_invite"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <TextView
            android:id="@+id/message_invite_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="16dp"
            android:includeFontPadding="false"
            android:text="邀请"
            android:textColor="@color/text_title"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/message_invite_icon" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/message_service"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/reuse_listview_item_style"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@+id/message_invite"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/message_service_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:src="@drawable/message_service_icon"
            app:layout_constraintBottom_toTopOf="@+id/message_service_name"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed" />

        <TextView
            android:id="@+id/unread_service"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="14dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/message_unread_hint"
            android:gravity="center"
            android:maxLength="3"
            android:minWidth="13dp"
            android:minHeight="1dp"
            android:paddingLeft="4dp"
            android:paddingRight="4dp"
            android:textColor="@color/white"
            android:textSize="9dp"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="@+id/guideline_service"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_service"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <TextView
            android:id="@+id/message_service_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="16dp"
            android:includeFontPadding="false"
            android:text="系统"
            android:textColor="@color/text_title"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/message_service_icon" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>